/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: HelloServlet.java 4084 2008-10-05 18:21:53Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.examples.maven.webapp;

import java.io.IOException;
import java.io.PrintWriter;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.ow2.easybeans.examples.maven.api.IEmptyBean;
import org.ow2.easybeans.examples.maven.webapplib.AbsServlet;


/**
 * A servlet.
 * @author Gael Lalire
 */
public class HelloServlet extends AbsServlet {

    /**
     * Generated uid.
     */
    private static final long serialVersionUID = -8235613466119273952L;


    /**
     * {@inheritDoc}
     */
    @Override
    protected void doGet(final HttpServletRequest req, final HttpServletResponse resp) throws ServletException, IOException {
        PrintWriter printWriter = resp.getWriter();
        if (this.emptyBean != null) {
            printWriter.println(this.emptyBean.sayHelloFromBean());
            printWriter.println("ok in servlet.");
        } else {
            printWriter.println("error empty bean is null in servlet.");
        }
        sayHello(printWriter);
    }

    /**
     * A simple bean.
     */
    @EJB
    private transient IEmptyBean emptyBean;


}
